Bug 432965 - (openclipart-review) Review Request: openclipart - Open Clip Art Library
Review Request: openclipart - Open Clip Art Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ocal-improvements
  Show dependency treegraph
 
Reported: 2008-02-15 09:12 EST by Lubomir Kundrak
Modified: 2008-02-20 04:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 04:44:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmahut: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-02-15 09:12:32 EST
SPEC: http://people.redhat.com/lkundrak/SPECS/openclipart.spec
Source0: http://www.openclipart.org/downloads/0.18/openclipart-0.18-svgonly.tar.bz2
Description: Open Clip Art Library

Open Clip Art Gallery contains thousand of SVG vector images that can be
freely used.  SVG files can be opened in various tools including
Inkscape vector graphics editor, OpenOffice.org and Firefox web browser.
Comment 1 Lubomir Kundrak 2008-02-15 09:21:02 EST
Sorry for not linking to the SRPM, I just don't have bandwidth to upload it now.

Nicu: You're involved with Open Clipart and therefore adding you to Cc: since I
believe you can answer some questions and provide valuable comments.

While I believe the package to be compilant with the guidelines and therefore
good enough to become part of Fedora now, it might need some changes and
improvements in future:

1.) Upstream release is old. What would be the best way to keep the package up
to date -- is there a public cvs that snapshots could be grabbed from? Nicu: Any
information on new upstream release that is being worked on?

2.) Do we need a PNGs (presumably in separate subpackage) as some other
distributors do? I don't believe so, but second opinion is welcomed.

3.) Integration. Would integration to gtk file open dialog be sufficient? Can it
be done with a gnome VFS module? Is there a simpler way even, such as
system-wide gtk-bookmarks?

4.) Which tools have to integrate well? Inkscape. OpenOffice.org. Some others?
Comment 2 Lubomir Kundrak 2008-02-15 09:22:17 EST
RPMLint is silent.
Comment 3 Nicu Buculei 2008-02-15 10:35:30 EST
Yeah, I am *almost* a founder of OCAL and one of the top content creators,
thanks for adding me.

There is a long story, so please bear with me: at first we started OCAL without
any infrastructure, only a form where people can upload their contribution, so
the only way to share the content was monthly tarball releases. Then we got a
browsing interface, where was possible to access the images included in the
latest release, with newer uploads kept in an "incoming" area and included only
at the next release.
The 0.18 release (October 2005) was the last using this system, the interface
broke and we didn't have the developers available to fix it, the website went on
hiatus for several months. We tried a 0.19 release but it didn't got finished.
Then we changed the infrastructure, migrating to ccHost which didn't provide an
easy way to easily import the old images, so here are we now: 7000+ images in
the old system (the 0.18 and 0.19 release) and 6000+ new images in the current
interface (ccHost). There is a move to *slowly* import them by hand (one by one,
for 7000+ images...)

So back to your questions:

1.) 0.18 release is indeed old, but is the latest and there are no plans to do
another in the near future. AFAIK, there is no easy way to provide a package in
the current interface, but I will take the question to the mailing list.

2.) I agree about not providing PNGs, they are thumbnails with a small size
(128x128), so not really useful as stand alone images and Nautilus will display
the thumbnails for SVG. Maybe if we include some tools like TuxPaint and find a
way for them to use the PNG version of the clipart images... but I don't think
this is a priority.

3.) I am not sure about that. I guess integration with the gtk file dialog is a
good start. IIRC the 0.18 release has the files organized in a directory
structure based on keywords so it can be accessed easily.

4.) Tools:
- Inkscape is the primary user of those images, having a bookmark in the gtk
dialog would be good enough IMO. Note that the upcoming 0.46 provides a "Import
from OCAL" dialog *but*: it can access only the images from the new repository
(not the ones included in the 0.18 release), the dialog is awful (both as
interface and functionality) and it work only online;
- OpenOffice.org can't open natively open SVG files (there are plans to to so,
but I don't know about the targets, ask Caolan about that). There is a 3-rd
party plugin which can import SVG files, but it is not included in Fedora, is
written in Java and it used to not work with the free Java (I don't know about
IcedTead) - again, perhaps some imput from Caolan would be useful (I added him
in CC);
- GIMP can make use of those clipart images, I insert them with drag and drop
from Nautilus, but I believe a bookmark in the gtk open dialog would suffice
(and it would suffice for a lot of other gtk applications like glabels);
- it is not part of our default install, so not that important, but Scribus is
another great user of the clipart. Since it uses the qt framework, I am
personally *that* biased and have not used it in a long time (and have not it
installed) so I am not able to comment much about it (a bookmark in the KDE/qt
open dialog?).
Comment 4 Marek Mahut 2008-02-18 13:37:40 EST
0.18 is simple and sane. approved.
Comment 5 Lubomir Kundrak 2008-02-18 13:52:09 EST
New Package CVS Request
=======================
Package Name: lkundrak
Short Description: Open Clip Art Library
Owners: lkundrak
Branches: F-8
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-02-18 15:19:33 EST
I assume the package name here should be "openclipart" and not "lkundrak" ? 

cvs done. 
Comment 7 Lubomir Kundrak 2008-02-18 16:42:50 EST
Kevin: sure, thanks! /* it must have been some bad bad drugs */
Being imported now.

Will let this bug open even after it's built as we track ideas about
improvements here.
Comment 8 Kevin Fenzi 2008-02-18 17:19:40 EST
In reply to comment #7: 

Please don't. This bug is to track the reviewing of the package. Once it's
imported and built this should be closed. Then you can file a new bug against
this packages bugzilla component for any further issues. 
Comment 9 Nicu Buculei 2008-02-20 04:23:00 EST
As I said above, the Open Clip Art Library is not expected to make another
release in the foreseeable future.
The solution I found to provide recent images (those from the new site) is to
set up a script (run daily from cron) providing a snapshot of the existing clipart:

http://download.openclipart.org/downloads/daily_SVG_snapshot.tar.bz2

Notes:
- large size ~156MB, contains over 8000 SVG and SVGZ files, is updated daily;
- unlike the 0.18 release, it does not have a directory structure for
categories, the only structure is based on author name (and I don't know a
better solution, the website uses a database for tags/keywords);
- for now the large majority of those images are new, not found in the previous
release but over time (at a very slow rate, the operation is done manually) the
images from release 0.18 will be merged here.
Comment 10 Lubomir Kundrak 2008-02-20 04:44:50 EST
Nicu continuing discussion here: bug #433602
Closing this as package is in CVS and built.

Note You need to log in before you can comment on or make changes to this bug.